# Drop unused factor levels in a dataframe
# Paul Lemmens, 17 June 2004
#
drop.UFL <- function(x, drop.unused.levels=FALSE, ...) {
 subsetted <- subset(x, ...)

 if (drop.unused.levels) {
   subsetted[] <- lapply(subsetted,
                     function(x) if (is.factor(x)) factor(x) else x)
 }

 subsetted
}

# # jochen: here is
# # another alternative from R Wiki 
# # Paul Johnson 2002/01/08. Function drop.levels added by Kevin Wright.
# drop.levels <- function(dat){
#   # Drop unused factor levels from all factors in a data.frame
#   # Author: Kevin Wright.  Idea by Brian Ripley.
#   dat[] <- lapply(dat, function(x) x[,drop=TRUE])
#   return(dat)
# }