probdur3 <- function(em) {
# PROBDUR3 computes dep var per word for each age group of psc2, lesen3
# input:  em     (=output von probdur1.R)
# output: em_w_age
#
# j.laubrock, 12/06, based on r. kliegl's probdur2.m
#

# Sort and parse

em <- em[order(em$ageGroup,em$sn,em$wn,em$id), ]   # 2: sn, 3: wn (not:nw!), 1: id

# Means
# p <- c(4:6, 18,19,28,29)                                # Probs 
# d <- c(8:10,20,30,16,40,41   )                                # Durs + nfix

# p <- c("p0", "p1", "p2", "p3", "rop1", "rop2", "rgp1", "rgp2") # neu: symbolisch, ausserdem die p3 dazugefuegt
# d <- c("d0", "d1", "d2", "rod0", "rgd0", "gz", "trt", "nfx")

p <- c("p0", "p1", "p2", "p3", "rop1", "rop2", "rgp1", "rgp2") # neu: symbolisch, ausserdem die p3 dazugefuegt
d <- c("d0", "d1", "d2", "d3", "rod0", "rgd0", "gz", "trt", "nfx")
s <- c("l0", "l1", "l2", "l3", "rol0", "rol1", "rol2", "rgl0", "rgl1", "rgl2")
r <- c("rgc", "roc", "rogz", "rongz", "rggz", "rgngz")

newCols <- c("ageGroup", "sn", "wn", p, d, s, r)

nWordsInCorpus <- length(unique(1000*em$sn + em$wn))
nAgeGroups <- length(unique(em$ageGroup))

ageBak <- em$ageGroup
em$ageGroup <- as.numeric(em$ageGroup) # we need this to be numeric further on, it will be restored to a factor later
cix <- 1e6*em$ageGroup +  100*em$sn + em$wn

# Preallocate output array
b <- data.frame(matrix(NA, nrow = nWordsInCorpus * nAgeGroups, ncol = length(newCols)), row.names=unique(cix));                           
b <- aggregate(em[,newCols], by=list(cix), mean, na.rm=TRUE)

b[,"ageGroup"] <- as.factor(b[,"ageGroup"])
levels(b[,"ageGroup"]) <- levels(ageBak)

# check, just to make sure that we're doing the right thing here
# bb <- b
# names(bb) <- newCols
# for (c in 1:length(newCols)) {
# 	tmp <- em[,newCols[c]]
# 	bb[,c] <- tapply(tmp, cix, mean, na.rm=T)
# }
# em$ageGroup <- ageBak

return(b)

}
