probdur_id <- function(em) {
# PROBDUR_ID computes dep var per subject
# input:  em     (=output von probdur1.R)
# output: em_id
#
# j.laubrock, 07/08, based on R. Kliegl's probdur2

# Sort and parse

#load("bite_em.rda")
em <- em[order(em$id, em$sn, em$wn), ]   # 1: id, 2: sn, 3: wn (not:nw!)

nSubjects <- length(unique(em$id))

 
# # Means
# p <- c(4:6, 18,19,28,29)              # Probs
# d <- c(8:10,20,30,16,40,41   )        # Durs + nfix

p <- c("p0", "p1", "p2", "p3", "rop1", "rop2", "rgp1", "rgp2") # neu: symbolisch, ausserdem die p3 dazugefuegt
d <- c("d0", "d1", "d2", "d3", "rod0", "rgd0", "gz", "trt", "nfx")
s <- c("l0", "l1", "l2", "l3", "rol0", "rol1", "rol2", "rgl0", "rgl1", "rgl2")
r <- c("rgc", "roc", "rogz", "rongz", "rggz", "rgngz")
newCols <- c("sn", "wn", p, d, s, r)

if ("ageGroup" %in% names(em)) {
	newCols <- c("ageGroup", newCols)
	#need to be numeric
	ageBak <- em$ageGroup
	em$ageGroup <- as.numeric(em$ageGroup) # we need this to be numeric further on, it will be restored to a factor later
} 



# cix <- 100*em$sn + em$wn
cix <- em$id

b <- data.frame(matrix(NA, nrow = nSubjects, ncol = length(newCols)), row.names=unique(cix));                               # Preallocate output array

# cw <- parseq(em[,"wn"])
# for (i in 1:nrow(cw)) {                                 # PSC: 1138
#     c1=cw[i,1]
#     c2=cw[i,2]
#     b[i,1:2]   <- unlist(em[c1,2:3])                    # Sentence and word number
#     b[i,3:17]  <- mean( em[c1:c2, c(p,d) ], na.rm=T)    # Five probs, five durs 
# } 

b <- aggregate(em[,newCols], by=list(cix), mean, na.rm=TRUE)

#restore to factor
if ("ageGroup" %in% names(em)) {
	b[,"ageGroup"] <- as.factor(b[,"ageGroup"])
	levels(b[,"ageGroup"]) <- levels(ageBak)
}

return(b)
 

}
