`readSubjects` <- function(exp_str, dir='./data', msgdir = dir, datdir = dir)
{
file_name <- file.path(dir, paste(exp_str, '.subjects', sep=''))
if (!file.exists(file_name)){ stop(paste('error: subject file', file_name, 'not found')) }

subjects <- readLines(con=file_name)
if (length(subjects)==0) { stop('no subjects in the list ...') }

# check whether we have message and data files for each subject
# assumes that files have endings '.dat' for raw data and '.msg2' for (filtered) messages
# as provided by preprocess.R
for (i in 1:length(subjects)) {
    msgfile <- file.path(msgdir, paste(subjects[i], '.msg2', sep=''))
    datfile <- file.path(datdir, paste(subjects[i], '.dat', sep=''))
    if (!file.exists(msgfile)) { stop(paste('file', msgfile, 'does not exist')) }
    if (!file.exists(datfile)) { stop(paste('file', datfile, 'does not exist')) }
}

subjects
}