# preprocess a list of edf files stored in subdirectories "01" to "36" under current working directory
# typical data organization structure of Experiment Builder  
olddir <- setwd('/Users/jochen/Projects/work/eyelinkTest/AAA/daten/Experiment')

dirs = sprintf("%02d", 1:36)
for (theDir in dirs) {
	preprocess(edfdir=theDir)
}

# create symlinks to files in two more central directories
if (!file_test("-d", 'msg')) { dir.create('msg') }
if (!file_test("-d", 'dat')) { dir.create('dat') }
theDatFiles <- list.files(dirs, pattern="[0-9][0-9].dat*", recursive=TRUE, full.names=TRUE)
theMsgFiles <- list.files(dirs,  pattern='*.msg*', recursive=TRUE, full.names=TRUE)
for (f in theMsgFiles) {
	file.symlink(file.path('..',f),  'msg') # to use relative path from dir msg, prepend ..
	# on windows we might have to use move or copy instead of symlink
	# file.rename(f,  file.path('msg', f)}
}
for (f in theDatFiles) {
	file.symlink(file.path('..',f),  'dat') # to use relative path from dir dat, prepend ..
	# on windows we might have to use move or copy instead of symlink
	# file.rename(f,  file.path('dat', f)}
}

setwd(olddir)