# Program xProbDur_l3.R
# Generates descriptive statistics about probabilities, durations, 
# letter positions of fixations for first-pass and second-pass reading
#
# not yet finished: 
#
# input = (1) output of xSetup1_l3.R
#         (2) output of xIndex_l3.R
#
# output = em.rda, em_w.rda, em_w_id.rda, em_w_sn.rda
#
# R. Kliegl, 08/08/2006
# some modifications for PSC2, J.Laubrock, 10/08/2006
# not yet finished: 
# 	vectorized rewrite J.Laubrock, 12/2006 
#	todo: rewrite (vectorized) produr1a.R

rm(list=ls())
library(eyetrackR)

projectDir <- "~/Projects/work/eyelinkTest/lesen III"
dataDir <- file.path(projectDir, "neueAuswertung/SacDetec2008/PSC2/fix_seqs_with_R")

afile <- file.path(dataDir, "PSCII_l3_fix_RIGHT_binoc.rda")
ixfile <- file.path(dataDir, "PSCII_l3_fix_index_logical.rda") 
em_file <- file.path(dataDir, "l3_em.rda") 
em_w_file <- file.path(dataDir, "l3_em_w.rda") 
em_w_age_file  <- file.path(dataDir, "l3_em_w_age.rda") 
em_id_file <- file.path(dataDir, "l3_em_id.rda") 


# LOAD DATA:
load(afile)
load(ixfile)

# OUTPUT:
ofile_em    <- file.path(projectDir, "neueAuswertung/SacDetec2008/PSC2/em_l3.rda")

# BAD FIXATION INFO - fixations to be ignored, not deleted, to keep index 
# add dur following a micro to previous duration prior to micro
# Q: isn't this a bit dangerous, because it assumes that the fixation are from the same sentence etc? check mcoutR!
# mcoutR contains within-letter saccades
mcoutR <- which(a$ao==0)
length(mcoutR)

# check whether mcoutR+1 is on the same word as mcoutR:
wid <- 1e5*a$id + 1e2*a$sn + a$wn
wid[mcoutR] == wid[mcoutR + 1]		# yes, okay...

a$dur[mcoutR] <- a$dur[mcoutR] + a$dur[mcoutR + 1]

# flag as bad: fix following a micro and short fixations (i.e., < 51 ms)
# Question should we remove first and last from firstpR, use vFirstpR?

shrtR <- which(a$dur < 10)     # need new shrtR because of dur-ms-dur addition 
longR <- which(a$dur > 750)
length(shrtR)
length(longR)
#mcinR <- which(a$ao1==0)
mcinR <- mcoutR + 1

# VECTOR WITH INVALID FIXATIONS:
# (1) within-word refixations (microsaccades)
# (2) DO NOT EXCLUDE NOW: short durations + long durations 
# (3) first and last fixation in sentence (frstfix, lastfix)
# (4) binocular (xBinocAll) 
invalBC <- setdiff(c(1:nrow(a)), which(xBinocAll))

bad <- unique(c(mcinR, invalBC, which(frstfix$RIGHT), which(lastfix$RIGHT)))
a$badfix <- 0
a$badfix[bad] <- 1

a$fpf  <- rep(0,nrow(a))
a$fpf[firstp$RIGHT] <- 1


# SUMMARIES
# (1) basic info for EACH WORD OF EACH SENTENCE read
#  << note: shouldnt we compute it on the corpus instead of fixations ? >>
#  << I really think we need only nwords*nsubjects rows >>

sid <- 1e2*a$sn + a$wn
six <- parseq(sid)
# nrow_em <- sum(a[six[, 1], "nw"]); 

ns <- nrow(six)        # n of sentences

# new (jl)
# the action happens here
sntix <- a$id * 1e3 + a$sn  # Recompute because records were deleted
pdlist <- by(a[c("id", "sn", "nw", "wn", "let", "dur", "fpf", "badfix")], sntix, probdur1)

print('done with pdlist, now populating em')


nrow_em <- sum(tapply(a$nw, sntix, unique))
ncol_em <- 43 #this depends on the number of columns available; here: 43 
em <- array(NA, c(nrow_em, ncol_em))
dimnames(em) <- list(NULL, names(pdlist[[1]]))

# TODO: strangely enough, the following lines really use up most of the time spent in xProbdur (and a lot of time it is)
# can we find an alternative using match?
# TODO: comment above refers to an old version using data frame. Check how much faster the current version using matrix array is
cnt=1
for (i in 1:length(pdlist)) {
	dcnt <- dim(pdlist[[i]])[1]
	em[cnt:(cnt+dcnt-1), ] <- as.matrix(pdlist[[i]])
	cnt <- cnt+dcnt
}
em <- as.data.frame(em)
print('now adding corpus info to em, and saving')


# em <- data.frame(em)
# names(em) <- c("id", "sn", "wn", "p0", "p1", "p2", "p3",
#                                  "d0", "d1", "d2", "d3", 
#                                  "l0", "l1", "l2", "l3", 
#                                   "gz", "ngz",
#          "rop1",  "rop2", "rod0", "rod1", "rod2", "rol0", "rol1", "rol2", "rogz", "rongz",
#          "rgp1",  "rgp2", "rgd0", "rgd1", "rgd2", "rgl0", "rgl1", "rgl2", "rggz", "rgngz",
#          "rgc",  "roc", "trt", "nfx", "xfp", "xmp")

em$ageGroup <- factor((em$id - 1) %/% 30 + 1, labels = c("20+","30+","40+","50+","60+", "70+") )
# em$ageGroup <- factor((em$id - 1) %/% 30 + 1, labels = c("20+","30+","40+","50+","60+") )

# match corpus stats to em and, if CHECK==T, produce some checks including a nice visualisation

# TODO set gaze etc. for invalid fixations to NA

data(PSC2.DWDS) # corpus info

# match corpus stats to em
psc2ix <- 1e2 * as.numeric(PSC2.DWDS$sn) + PSC2.DWDS$wn
emix <- 1e2 * em$sn + em$wn

whichstats <- c("nw", "nlett1", "nlett2", "nchr", "freq", "f", "bifr", "trifr")

mm <- match(emix, psc2ix)
em[, whichstats] <- PSC2.DWDS[mm, whichstats]

save(em, file=em_file)

summary(em)

# (2) aggregate to 1138 words (averaged across readers)
# load("R/l3_em.rda")

em_w <- data.frame(probdur2(em))
#names(em_w) <- c("sn", "wn", "p0", "p1", "p2", "rop1", "rop2", "rgp1", "rgp2", "d0", "d1", "d2","rod0", "rgd0", "gz", "trt","nfx")


# do the same for em_w
emwix <- 1e2 * em_w$sn + em_w$wn
mmw <- match(emwix, psc2ix) # just to make sure matching is correct; because they are presorted, this is not really necessary
em_w[, whichstats] <- PSC2.DWDS[mmw, whichstats]

save(em_w, file=em_w_file)

# (3) aggregate to 1138 words within each of the 5 or 6 age groups (averaged across readers)
# load("R/l3_em.rda")

em_w_age <- data.frame(probdur3(em))
# names(em_w_age) <- c("ageGroup", "sn", "wn", "p0", "p1", "p2", "rop1", "rop2", "rgp1", "rgp2", "d0", "d1", "d2","rod0", "rgd0", "gz", "trt","nfx")

save(em_w_age, file=em_w_age_file)

# (4) aggregate to 150 subjects (averaged across words)
# load("R/l3_em.rda")

em_id <- data.frame(probdur_id(em))
em_id$ageGroup
#names(em_id) <- c("sn", "wn", "p0", "p1", "p2", "rop1", "rop2", "rgp1", "rgp2", "d0", "d1", "d2","rod0", "rgd0", "gz", "trt","nfx")

save(em_id, file=em_id_file)


