\name{binsacc}
\alias{binsacc}
\encoding{UTF-8}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Determination of binocular (micro-)saccades }
\description{
 combines monocular saccades
}
\usage{
binsacc(sacl, sacr)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{sacl}{ left eye saccades, n-by-7, output of microsacc }
  \item{sacr}{ right eye saccades, n-by-7, output of microsacc }
}
%\details{}
\value{
\item{sac[,1:14]}{ binocular microsaccades (right eye/left eye) }
\item{monol[,1:7]}{ monocular microsaccades of the left eye }
\item{monor[,1:7]}{ monocular microsaccades of the right eye }
}
\references{ Engbert, R., & Mergenthaler, K. (2006) Microsaccades are triggered by low retinal image slip. \emph{Proceedings of the National Academy of Sciences of the United States of America}, \bold{103}, 7192--7197. }
\author{ Jochen Laubrock, Ralf Engbert, Konstantin Mergenthaler }
% \note{ }
\seealso{ \code{\link{vecvel}}, \code{\link{microsacc}} }
\examples{
data(trial4)

sampleRate <- 500
vsmooth <- 2
vl <- vecvel(trial4[,c("xl", "yl")], sampleRate, vsmooth)
accl <- vecvel(vl, sampleRate, 1)
sacl <- microsacc(trial4[,c("xl", "yl")], vl, 5, 3, discardMS=FALSE, removeGlissades=FALSE)
vr <- vecvel(trial4[,c("xr", "yr")], sampleRate, vsmooth)
accr <- vecvel(vr, sampleRate, 1)
sacr <- microsacc(trial4[,c("xr", "yr")], vr, 5, 3, discardMS=FALSE, removeGlissades=FALSE)
sacb <- binsacc(sacl$sac, sacr$sac)


# visualize detection
sacl <- sacb$sac[,1:7]
sacr <- sacb$sac[,8:14]
par(mfrow=c(3,1))
firstN <- 10
plot(trial4[1:sacl[firstN,2],"xl"], type='l', ylab = "x position")
lines(trial4[1:sacr[firstN,2],"xr"], type='l', lty=2)
for (i in 1:firstN) {
	ix <- (sacl[i,"t0_L"]:sacl[i,"t1_L"])
	points(ix, trial4[ix,"xl"], pch='o', col='navy' ) 
	ix <- (sacr[i,"t0_R"]:sacr[i,"t1_R"])
	points(ix, trial4[ix,"xr"], pch='o', col='darkred' ) 
}

plot(vl[(1:sacl[firstN,2]),1], type='l', ylab = "velocity")
lines(vr[(1:sacr[firstN,2]),1], type='l', lty=2)
for (i in 1:firstN) { 
	ix <- (sacl[i,"t0_L"]:sacl[i,"t1_L"])
	points(ix, vl[ix,1], pch='o', col='navy' ) 
	ix <- (sacr[i,"t0_R"]:sacr[i,"t1_R"])
	points(ix, vr[ix,1], pch='o', col='darkred' ) 
}

plot(accl[(1:sacl[firstN,2]),1], type='l', ylab = "acceleration")
lines(accr[(1:sacr[firstN,2]),1], type='l', lty=2)
for (i in 1:firstN) { 
	ix <- (sacl[i,"t0_L"]:sacl[i,"t1_L"])
	points(ix, accl[ix,1], pch='o', col='navy' ) 
	ix <- (sacr[i,"t0_R"]:sacr[i,"t1_R"])
	points(ix, accr[ix,1], pch='o', col='darkred' ) 
}

}
