\name{computeReadingMeasures}
\alias{computeReadingMeasures}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{COMPUTEREADINGMEASURES
%%  ~~function to do ... ~~
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Compute some word-based eye movement measures such as first pass fixation (fpf), first fixation duration (ffd), gaze duration (gz), total viewing time (ttot), total number of fixations (nfix) etc.
}
\usage{
data <- computeReadingMeasures(data)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
%%     ~~Describe \code{data} here~~
\item{data}{a data frame as generated by the xSetup1.R demos\cr
as a minimum, needs to have the following variables\cr

\tabular{rl}{
\code{id} \tab subject id\cr
\code{sn} \tab sentence id\cr
\code{wn} \tab word id within sentence\cr
\code{wn1.x} \tab word id of previously fixated word in sentence, NA if none\cr
\code{wn2.x} \tab word id of subsequently fixated word in sentence, NA if none\cr
\code{dur} \tab fixation duration\cr
\code{ao} \tab amplitude of outgoing saccade\cr
\code{ao1} \tab amplitude of incoming saccade
}
}
}
\encoding{UTF-8}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
\code{computeReadingMeasures} returns a data frame \code{data}, which is a modified input data frame, with several new columns (see below):\cr
	\item{\code{s1}}{skipping of last word: yes (1) or no (0)}
	\item{\code{s2}}{skipping of next word: yes (1) or no (0)}
	\item{\code{fpf}}{first pass fixation: yes (1) or no (0)}
	\item{\code{firstFixInSequence}}{first fixation in a sequence: yes (1) or no (0)}
	\item{\code{ttot}}{total viewing time, sum of fixations and refixations, including all passes}
	\item{\code{gz}}{gaze duration, sum of first-pass fixations and refixations}
	\item{\code{ffd}}{first fixation duration}
	\item{\code{nfix}}{number of fixations in ttot}
	\item{\code{nfixgz}}{number of first-pass fixations in gz}
	\item{\code{fixno}}{current fixation}
	\item{\code{aogz}}{outgoing saccade amplitude in gaze}
	\item{\code{ao1gz}}{incoming saccade amplitude in gaze}
	\item{\code{sfd}}{single fixation duration}
	\item{\code{isSingleFix}}{whether word has only received a first-pass single fixation: yes (1) or no (0)}
}


\references{Inhoff, A.W. & Radach, R. (1998). Definition and computation of oculomotor measures in the study of cognitive processes. In G. Underwood (ed.). Eye guidance in reading and scene perception. Oxford: Elsevier.
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Jochen Laubrock
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
data(a)
a2 <- computeReadingMeasures(a)
newCols <- names(a2)[!(names(a2) \%in\% names(a))]
summary(a2[, newCols])
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~data }
\keyword{ ~manip }
\keyword{ ~misc }% __ONLY ONE__ keyword per line
