\name{parms1}
\alias{parms1}
\alias{SAMPLING}
\alias{VTHR}
\alias{VTYPE}
\alias{MINDUR}
\alias{PIX_PER_CHAR}
\alias{LEFT_SENTENCE_OFFSET}
\alias{X_RES}
\alias{VIEWING_DISTANCE}
\alias{MONITOR_WIDTH}
\alias{ang}
\alias{r}
\alias{DEG_PER_PIX}
\alias{PIX_PER_DEG}


\encoding{UTF-8}
\docType{data}
\title{parms1}
\description{
A description of parameters used to control data preprocessing. It is likely that such a parameter file needs to be adjusted for many analyses. The current file is provided as an example and may be used as a template.)
}
% \usage{readParms(file='parms.tab')}
\format{
  An R file containing definitions of several analysis parameters
  \describe{
    \item{\code{SAMPLING}}{sampling rate (Hz) of eyetracker (500 for EyeLink II)}
    \item{\code{VTHR}}{threshold for (micro)saccade detection}
    \item{\code{VTYPE}}{velocity type (1 or 2): less or more smoothing (3-sample or 5-sample filter)}
	\item{\code{MINDUR}}{minimum duration of (micro)saccade in samples (here: 6 samples, 12 ms)}
	\item{\code{PIX_PER_CHAR}}{width of a letter in pixels (important, make sure <by measuring> that this is correct)}
	\item{\code{LEFT_SENTENCE_OFFSET}}{fixed offset of left sentence boundary}
	\item{\code{X_RES}}{x resolution of subject monitor}
	\item{\code{VIEWING_DISTANCE}}{distance between monitor and subject (cm)}
	\item{\code{MONITOR_WIDTH}}{visible width of subject monitor (cm)}
	\item{\code{ang}}{degrees per cm (deg visual angle per 1 cm on subject screen)}
	\item{\code{r}}{pixels per cm}
	\item{\code{DEG_PER_PIX}}{degree per pixel}
	\item{\code{PIX_PER_DEG}}{pixel per degree}
  }
}
% \details{}
% \source{}
% \references{}
% \examples{}
\keyword{datasets}


