\name{parse_msg_file}
\alias{parse_msg_file}
%- Also NEED an '\alias' for EACH other topic documented here.
\encoding{UTF-8}
\title{ Parsing of msg files }
\description{
A run of edf2asc as configured in preprocess.R results in msg and dat files. The msg files contain messages written to the edf file during the experiment, e.g., trial information, trigger timestamps etc.
}


% \code{
% # file header
% 
% MSG	32944 BEGIN OF DESCRIPTIONS
% MSG	32944 VP-Nr. PSCII001
% MSG	32944 SCREEN_COORDS 0 0 1023 767
% MSG	32945 SCREEN_INFO MO_FREQ BGCOLOR 120 255
% MSG	32945 TEXTLINE 384  PIXPERLETTER
% MSG	32945 SUBJECTDISTANCE 600 in mm
% MSG	32945 MONITORWIDTH 400 in mm
% MSG	32945 END OF DESCRIPTIONS
% 
% # per sentence
% 
% MSG	791160 SYNCTIME
% MSG	791035 TRIALID 26 SATZ 73
% MSG	791160 TRIAL_START 26
% MSG	791704 SATZ_EINGEBLENDET
% MSG	793093 TRIAL_ENDE 26
% 
% # where TRIAL_START can be replaced by TRIAL_STARTWITHIN in case of a trial repetition, e.g., due to failed calibration
% 
% # The fields in the example have the following meaning:
% SCREEN_COORDS		rectangle of screen coordinates (pixels)		MSG [timestamp] SCREEN_COORDS [left] [top] [right] [bottom]
% SCREEN_INFO			info on refresh rate and backgroundcolor		MSG [timestamp] SCREEN_INFO MO_FREQ BGCOLOR [Hz] [color]
% TRIALID 26 SATZ 73	trial-ID (in exp) and sentence-ID (in corpus)	MSG [timestamp] TRIALID [trialId] SATZ [sentId]
% TRIAL_START			starting time of trial							MSG [timestamp] TRIAL_START [trialId]
% SATZ_EINGEBLENDET	starting time of sentence presentation			MSG [timestamp] SATZ_EINGEBLENDET
% TRIAL_ENDE			
% }


\section{Notes}{
\emph{ !!!!\cr This file and (to a lesser extent) parms1.R will likely have to be adaptated to every new experiment.\cr  !!!! }

This is just a simple example. Currently, the existence of messages SCREEN_COORDS, SCREEN_INFO, TRIALID, TRIAL_START and/or TRIAL_STARTWITHIN, SATZ_EINGEBLENDET, and TRIAL_ENDE in the following format is assumed:

TODO: we need a more generic interface. Maybe for simple reading experiments we can get along with a dictionary defining (a) message and (b) semantics, where the set of semantics is fixed and limited.
}

\usage{
parse_msg_file(subjectcode, msgdir = './msg/')
# parse_msg_file('p2or1', './msg/')
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{subjectcode}{ subject code for current subject; msg file file is called [subjectcode].msg (character) }
  \item{msgdir}{ path to msg files }
}

% \details{}

% \value{}
\references{ SR research EyeLink Manual.
}
\author{ Jochen Laubrock }
%  \note{ }
% \seealso{ \code{\link{ preprocess }} }
\examples{
\dontrun{parse_msg_file('p2or1', msgdir='~/msg/')}
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
% \keyword{  }
% \keyword{  }% __ONLY ONE__ keyword per line
