\name{trial32_sn140}
\alias{trial32_sn140}
\encoding{UTF-8}
\docType{data}
\title{Trial32\_sn140}
\description{
A sample trial from a single-sentence reading experiment using the Potsdam Sentence Corpus 2.
Corresponds to Trial 32, Sentence No. 140 of "Lesen III".
}
\usage{data(trial32_sn140)}
\format{
  A data frame with 943 observations on the following 7 variables.
  \describe{
    \item{\code{t}}{tracker time stamp}
    \item{\code{xl}}{x position of gaze, left eye}
    \item{\code{yl}}{y position of gaze, right eye}
    \item{\code{pl}}{pupil size, left eye}
    \item{\code{xr}}{x position of gaze, left eye}
    \item{\code{yr}}{y position of gaze, right eye}
    \item{\code{pr}}{pupil size, right eye}
  }
}
% \details{}
% \source{}
% \references{}
\examples{
data(trial32_sn140)
str(trial32_sn140)
matplot(trial32_sn140[,1]-trial32_sn140[1,1], scale(trial32_sn140[,2:7]), 
  type='l', xlab='t [ms]', lty=c(1,1,1,2,2,2), col=c(2:4,2:4))
legend(0, 5, names(trial32_sn140)[2:7], bty='n', lty=c(1,1,1,2,2,2), col=c(2:4,2:4))

tix <-  seq(nrow(trial32_sn140),1, by=-1)
plot(trial32_sn140[ tix, 2], 1:nrow(trial32_sn140), type='l', 
   xlab = 'x', ylab='t', yaxt="n")
lines(trial32_sn140[ tix, 5], 1:nrow(trial32_sn140), type='l', lty=2)
}
\keyword{datasets}
