\name{trial4}
\alias{trial4}
\encoding{UTF-8}
\docType{data}
\title{Trial4}
\description{
A sample trial from a moving-window type reading experiment, reading a single sentence. Trials ended when gaze moved to an area in the lower right of the screen, hence the large saccade at the end of the trial.}
\usage{data(trial4)}
\format{
  A data frame with 1545 observations on the following 7 variables.
  \describe{
    \item{\code{t}}{tracker time stamp}
    \item{\code{xl}}{x position of gaze, left eye}
    \item{\code{yl}}{y position of gaze, right eye}
    \item{\code{pl}}{pupil size, left eye}
    \item{\code{xr}}{x position of gaze, left eye}
    \item{\code{yr}}{y position of gaze, right eye}
    \item{\code{pr}}{pupil size, right eye}
  }
}
% \details{}
% \source{}
% \references{}
\examples{
data(trial4)
str(trial4)
matplot(trial4[,1]-trial4[1,1], scale(trial4[,2:7]), 
  type='l', xlab='t [ms]', lty=c(1,1,1,2,2,2), col=c(2:4,2:4))
legend(0, 5, names(trial4)[2:7], bty='n', lty=c(1,1,1,2,2,2), col=c(2:4,2:4))

tix <-  seq(nrow(trial4),1, by=-1)
plot(trial4[ tix, 2], 1:nrow(trial4), type='l', 
   xlab = 'x', ylab='t', yaxt="n")
lines(trial4[ tix, 5], 1:nrow(trial4), type='l', lty=2)
}
\keyword{datasets}
